package util

import (
	"fmt"
	"os"
)

func CreateArtistInfo(id int64) {
	if _, err := os.Stat("static/artist/" + fmt.Sprintf("%d", id) + "/"); err != nil {
		if !os.IsExist(err) {
			os.MkdirAll("static/artist/"+fmt.Sprintf("%d", id)+"/", os.ModePerm)
		}
	}
	if _, err := os.Stat("static/artist/" + fmt.Sprintf("%d", id) + "/info/"); err != nil {
		if !os.IsExist(err) {
			os.MkdirAll("static/artist/"+fmt.Sprintf("%d", id)+"/info", os.ModePerm)
		}
	}
}

func CreateArtworkInfo(id int64) {
	if _, err := os.Stat("static/artwork/" + fmt.Sprintf("%d", id) + "/"); err != nil {
		if !os.IsExist(err) {
			os.MkdirAll("static/artwork/"+fmt.Sprintf("%d", id)+"/", os.ModePerm)
		}
	}

}

func SaveFileFromBytes(filePath string, raw []byte) error {
	err := os.WriteFile(filePath, raw, 0644)
	if err != nil {
		return err
	}
	return nil
}
